Qt 5.11 | Qt Sensors | C++ Classes | QHumidityReading

Qt 5.11.3 Reference Documentation

# QHumidityReading Class

The QHumidityReading class holds readings from the humidity sensor. More...

Header: | #include <QHumidityReading>
qmake: | QT += sensors
Since: | Qt 5.9
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- absoluteHumidity : const qreal
- relativeHumidity : const qreal

- 1 property inherited from QSensorReading

## Public Functions

| QHumidityReading(QObject *parent = DECLARE_READING(QHumidityReading))
virtual | ~QHumidityReading()
qreal | absoluteHumidity() const
qreal | relativeHumidity() const
void | setAbsoluteHumidity(qreal value)
void | setRelativeHumidity(qreal humidity)

## Reimplemented Public Functions

virtual void | copyValuesFrom(QSensorReading *other) override

- 4 public functions inherited from QSensorReading

## Detailed Description

The QHumidityReading class holds readings from the humidity sensor.

#### QHumidityReading Units

The humidity sensor returns the relative humidity as a percentage, and absolute humidity in grams per cubic meter (g/m3). Note that some sensors may not support absolute humidity, 0 will be returned in this case.

## Property Documentation

### absoluteHumidity : const qreal

Absolute humidity Measured in grams per cubic meter. Note that some sensors may not support absolute humidity.

Access functions:

qreal | absoluteHumidity() const

See also QHumidityReading Units.

### relativeHumidity : const qreal

Relative humidity Returned as a percentage.

Access functions:

qreal | relativeHumidity() const

See also QHumidityReading Units.

## Member Function Documentation

### QHumidityReading::QHumidityReading(QObject *parent = DECLARE_READING(QHumidityReading))

Default constructs an instance of QHumidityReading.

### `[virtual]` QHumidityReading::~QHumidityReading()

Destroys the instance of QHumidityReading. The destructor is virtual.

### `[override virtual]` void QHumidityReading::copyValuesFrom(QSensorReading *other)

### void QHumidityReading::setAbsoluteHumidity(qreal value)

Sets absoluteHumidity to value.

See also absoluteHumidity().

### void QHumidityReading::setRelativeHumidity(qreal humidity)

Sets relativeHumidity to humidity.

See also relativeHumidity().